//************************************************************
//  University of Patras
//	Department of Electrical Engineering & Computer Technology
//
//	Course: Parallel Programming in AI
//	Week 05: OpenMp
//
//  Description: Simple examples  in openMP
//  	dice01.c:    A trusted dice
//	Author: Evangelos Dermatas
//	v0.1
/*
*********************************************************************
gcc -v:	gcc version 7.4.0 (Ubuntu 7.4.0-1ubuntu1~18.04.1)
OS: 	Linux Ubuntu 18.04
CPU:	8-core, Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz, 3991 BogoMips
*********************************************************************
Compiling:	gcc dice01.c -o dice01
Executing:	./dice01

Output in my laptop
0 9998142
1 9999581
2 10000326
3 10003300
4 9997641
5 10001010

real	0m0.761s
user	0m0.757s
sys	0m0.005s


*/
//************************************************************

#include <stdio.h>
#include <stdlib.h>
//#include <omp.h>
#include <math.h>

#define N	60000000

// **************************************************************
int main(void)
{
	unsigned int x[6]={0,0,0,0,0,0} ;

	for( int i = 0 ; i < N ; i++ ) 
		x[rand()%6]++ ;

	for( int i = 0 ; i < 6 ; i++ ) 
		printf( "%d %u\n", i, x[i] ) ;

	return 0 ;
}
